# SolrQuery::setFacetLimit

(PECL solr >= 0.9.2)

SolrQuery::setFacetLimit — Maps to facet.limit

### Description

public SolrQuery::setFacetLimit ( int `$limit` [, string `$field_override` ] ) : SolrQuery

Maps to facet.limit. Sets the maximum number of constraint counts that should be returned for the facet fields.

### Parameters

`limit`

  The maximum number of constraint counts

`field_override`

  The name of the field.

### Return Values

Returns the current SolrQuery object, if the return value is used.